# Initiate a Payout v2

### URI

&#x20;<mark style="color:blue;background-color:blue;">**POST**</mark>&#x20;

```
https://api.tryduplo.com/v1/wallets/v2/transfer
```

### Parameters

#### Header

<table data-header-hidden><thead><tr><th width="325"></th><th></th></tr></thead><tbody><tr><td><strong>Authorization</strong><br><code>string</code> </td><td>set value to <code>Bearer SECRET_KEY</code></td></tr></tbody></table>

#### Body Param

<table data-header-hidden><thead><tr><th width="260"></th><th></th></tr></thead><tbody><tr><td><strong>recipient_bank_code</strong><br><code>string</code> <mark style="color:red;"><code>required</code></mark></td><td>The bank code of the recipient bank</td></tr><tr><td><strong>recipient_account_number</strong><br><code>string</code> <mark style="color:red;"><code>required</code></mark></td><td>The bank account number of the recipient</td></tr><tr><td><strong>amount</strong><br><code>number</code> <mark style="color:red;"><code>required</code></mark></td><td>The amount to be transferred. <em>a minimum of 200 naira</em></td></tr><tr><td><strong>description</strong><br><code>string</code> <mark style="color:red;"><code>required</code></mark></td><td>Specify the reason for the transaction</td></tr><tr><td><strong>business_id</strong><br><code>string</code> <mark style="color:red;"><code>required</code></mark></td><td>Merchant business ID</td></tr><tr><td><strong>transaction_id</strong><br><code>string</code> <mark style="color:red;"><code>optional</code></mark></td><td>Transaction ID</td></tr></tbody></table>

### Sample request

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" %}

```bash
curl --location --request POST 'https://api.tryduplo.com/v1/wallets/v2/transfer' \
--header 'Authorization: Bearer SECRET_KEY' \
--header 'Content-Type: application/json' \
--data-raw '{
   "recipient_bank_code": "044",
   "recipient_account_number": "0694002924",
   "amount": "200",
   "description": "sample description",
   "business_id":"15f87763-8b6c-47c2-b1ec-e90574c2c4a9f",
   "transaction_id": "S02PA234"
}'
```

{% endcode %}
{% endtab %}

{% tab title="Node" %}
{% code overflow="wrap" lineNumbers="true" %}

```javascript
var axios = require('axios');
var data = JSON.stringify({
 "recipient_bank_code": "044",
 "recipient_account_number": "0694002924",
 "amount": "200",
 "description": "sample description",
 "business_id": "15f87763-8b6c-47c2-b1ec-e90574c2c4a9f",
 "transaction_id": "S02PA234" // optional field
});

var config = {
 method: 'post',
 url: 'https://api.tryduplo.com/v1/wallets/v2/transfer',
 headers: {
   'Authorization': 'Bearer SECRET_KEY',
   'Content-Type': 'application/json'
 },
 data : data
};

axios(config)
.then(function (response) {
 console.log(JSON.stringify(response.data));
})
.catch(function (error) {
 console.log(error);
});
```

{% endcode %}
{% endtab %}

{% tab title="PHP" %}
{% code overflow="wrap" lineNumbers="true" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
 CURLOPT_URL => 'https://api.tryduplo.com/v1/wallets/v2/transfer',
 CURLOPT_RETURNTRANSFER => true,
 CURLOPT_ENCODING => '',
 CURLOPT_MAXREDIRS => 10,
 CURLOPT_TIMEOUT => 0,
 CURLOPT_FOLLOWLOCATION => true,
 CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
 CURLOPT_CUSTOMREQUEST => 'POST',
 CURLOPT_POSTFIELDS =>'{
   "recipient_bank_code": "044",
   "recipient_account_number": "0694002924",
   "amount": "200",
   "description": "sample description",
   "business_id":"15f87763-8b6c-47c2-b1ec-e90574c2c4a9f",
   "transaction_id": "S02PA234"
}',
 CURLOPT_HTTPHEADER => array(
   'Authorization: Bearer SECRET_KEY',
   'Content-Type: application/json'
 ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

{% endcode %}
{% endtab %}
{% endtabs %}

### Duplo Response

```json
{
    "data": {
        "transaction_ref": "tran_i81LURD7sH",
        "amount": 200,
        "description": "sample description",
        "business_id": "15f87763-8b6c-47c2-b1ec-e90574c2c4a9",
        "status": "awaiting_otp_verification",
        "transaction_id": "S02PA234" // this is returned if it was passed while initiating the transfer
    },
    "errors": {},
    "message": "Payout request initiated successfully"
}

```
